Skip to main content
`Ctrl`+`K`

# SNESLineSearchMonitorCancel

Clears all the monitor functions for a `SNESLineSearch` object.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchMonitorCancel(SNESLineSearch ls)

Logically Collective

## Input Parameter

- ls - the `SNESLineSearch` context

## Options Database Key

- -snes_linesearch_monitor_cancel - cancels all monitors that have been hardwired into a code by calls to `SNESLineSearchMonitorSet()`, but does not cancel those set via the options database

## Notes

There is no way to clear one specific monitor from a `SNESLineSearch` object.

This does not clear the monitor set with `SNESLineSearchSetDefaultMonitor()` use `SNESLineSearchSetDefaultMonitor`(`ls`,`NULL`) to cancel it that one.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`, `SNESGetLineSearch()`, `SNESLineSearchMonitorDefault()`, `SNESLineSearchMonitorSet()`

## Level

advanced

## Location

src/snes/linesearch/interface/linesearch.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages